/* =====================
    SECTION: Top Bar
    ====================== */
.top__bar {
  background-color: #fff;
}
/* =====================
      SECTION: Header
      ====================== */

header.sticky-lg-top {
  z-index: 1021;
}
.top__bar {
  background: url("../images/bg/header.webp");
  background-position: center right;
  background-size: cover;
}
.site_name {
  font-size: 3rem;
}
.menu__bar {
  background: var(--secondary-color);
  color: #fff;
}

.menu__bar .navbar-brand .navbar-logo {
  width: 50px;
  height: 50px;
  top: -5px;
  left: 235px;
  position: absolute;
  z-index: 1;
  display: none;
  transition: 0.3s;
}
.menu__bar .navbar-brand .navbar-logo img {
  border-radius: 50%;
}

header.sticky-active .menu__bar .navbar-brand .navbar-logo {
  display: block;
  transition: 0.3s;
}

.menu__bar .dropdown {
  position: initial;
}

.menu__bar .nav-link {
  color: var(--bs-light);
}
.offcanvas-header h1 {
  color: var(--primary-color) !important;
}

.menu__bar .dropdown-menu {
  padding: 0.5rem;
  border: none;
  border-radius: 0;
  top: 100%;
  left: inherit;
  min-width: 270px;
}

@media (hover: hover) {
  .menu__bar .dropdown-menu {
    display: block;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition: 300ms ease-in-out;
    transition-delay: 150ms;
  }

  .menu__bar .dropdown:hover > .dropdown-menu {
    transition-delay: 0s;
    opacity: 1;
    transform: scaleY(1);
  }
}

.menu__bar .mega-menu .dropdown-menu {
  left: 0.5rem;
  width: calc(100% - 1rem);
}

.menu__bar .dropdown-toggle::after {
  font-family: "bootstrap-icons";
  content: "\F282";
  border: none;
  vertical-align: middle;
  font-size: 0.625rem;
  font-weight: bold;
}

.menu__bar .dropdown-item {
  font-size: 0.875rem;
  color: var(--seccondary-color);
  font-weight: 500;
  padding-block: 0.75rem;
  margin-block: 0.25rem;
  position: relative;
  white-space: inherit;
  border-bottom: 1px solid #eee;
}

.menu__bar li:last-child .dropdown-item {
  border-bottom: 0px;
}

.menu__bar .dropdown-item:hover {
  background: var(--secondary-color);
  color: var(--bs-light);
  transition: 300ms ease-in-out;
}

.menu__bar :is(.dropend, .dropstart) .dropdown-toggle {
  color: inherit;
  text-decoration: none;
}

.menu__bar .dropend .dropdown-toggle::after {
  font-family: "bootstrap-icons";
  content: "\F285";
  border: none;
  vertical-align: middle;
  font-size: 0.625rem;
  font-weight: bold;
}

.menu__bar .dropstart .dropdown-toggle::before {
  font-family: "bootstrap-icons";
  content: "\F284";
  border: none;
  vertical-align: middle;
  font-size: 0.625rem;
  font-weight: bold;
}

@media (hover: hover) {
  .menu__bar .dropend .dropdown-menu {
    transform: scaleX(0);
    transform-origin: left center;
    top: 0;
    right: auto;
    left: 100%;
    z-index: 1111;
  }

  .menu__bar .dropstart .dropdown-menu {
    transform: scaleX(0);
    transform-origin: right center;
    top: 0;
    right: 100%;
    left: auto;
    z-index: 1111;
  }

  .menu__bar .dropend:hover > .dropdown-menu {
    transform: scaleX(1);
    opacity: 1;
  }

  .menu__bar .dropstart:hover > .dropdown-menu {
    transform: scaleX(1);
    opacity: 1;
  }
}

/* =====================
      SECTION: Footer
      ====================== */
footer {
  margin-top: auto;
  background: rgb(var(--primary-color-rgb));
}

/* .footer__container {
    position: relative;
    z-index: 2;
  }
  .footer__container::before{
    position: absolute;
    content: "";
    top: -187px;
    left: 23px;
    width: 100%;
    height: 70%;
    background-image: url("../images/bg/footer-wave-bg.png");
    background-size: cover;
    background-position: center;
    background-color:transparent;
    z-index: 1;
  } */

.footer__container .container {
  border-bottom: 1px solid rgb(255 255 255 / 27%);
}

.footer__info .list-group {
  --bs-list-group-bg: transparent;
  --bs-list-group-border-color: color-mix(
    in srgb,
    var(--primary-color) 75%,
    var(--bs-body-bg) 25%
  );
  margin-top: 1rem;
}

.footer__info .list-group .bi {
  color: var(--bs-light);
}

.footer__widget .footer__title {
  color: #fff;
}

.footer__cpr {
  color: var(--bs-light);
}

.footer__container .nav-item {
  padding: 6px 8px;
}

.footer__container .nav-link {
  color: #fff;
}

.footer__cpr a {
  color: var(--secondary-color);
  text-decoration: none;
}

.footer_ql {
  color: #fff;
  padding: 0px 15px;
  /*box-shadow: inset 0px 0px 0px 20px rgb(255 255 255 / 6%);
    border-radius: 30px;
    border: 1px solid rgba(255, 255, 255, 0.29);
    font-weight: normal;
    display: inline-block;
    margin-bottom: 10px; */
}

/* socialmedia li{
    display: flex;
    justify-content: center;
    align-items: center;
  } */

.socialmedia {
  display: flex;
  flex-direction: column;
  color: #fff;
  gap: 15px;
  justify-content: start;
  transition: all 0.3s ease-in;
}

.socialmedia li a {
  display: flex;
  align-items: center;
  color: var(secondary);
  gap: 10px;
}

.socialmedia i {
  width: 44px;
  height: 44px;
  justify-content: center;
  align-items: center;
  display: flex;
  font-size: 22px;
  color: var(--secondary-color);
  background-color: var(--accent-color);
  border-radius: 50%;
}

.socialmedia i:hover {
  transform: scale(1.1);
  background-color: var(--secondary-color);
  color: var(--accent-color);
}

/* =====================
      SECTION: Breadcrumb
      ====================== */
.breadcrumb__sc {
  background: linear-gradient(
      rgba(var(--primary-color-rgb), 0.7),
      rgba(var(--primary-color-rgb), 0.7)
    ),
    url("../images/breadcrumb-bg.webp") no-repeat center/cover;
  padding-block: clamp(3rem, calc(3rem + 1.5vw), 5rem);
  position: relative;
  color: #fff;
}

.breadcrumb__sc .breadcrumb {
  background: var(--bs-body-bg);
  width: max-content;
  display: inline-flex;
  padding: 0.5rem 2rem;
  border-radius: 50vw;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
}

.breadcrumb__sc .breadcrumb-item {
  color: var(--primary-color);
}

.breadcrumb__sc .breadcrumb-item a {
  color: var(--primary-color);
  text-decoration: none;
  font-weight: 600;
}

/* =====================
    SECTION: Buttons
    ====================== */
.btn {
  padding: var(--button-padding-y) var(--button-padding-x);
}

.btn-lg {
  padding: calc(var(--button-padding-y) * 1.25)
    calc(var(--button-padding-x) * 2);
}

.btn-sm {
  padding: calc(var(--button-padding-y) / 2) calc(var(--button-padding-x) / 2);
}

.btn-main {
  background: var(--primary-color);
  color: var(--bs-light);
  transition: color 250ms ease-in-out;
}

.btn-main:hover {
  color: var(--bs-white);
}

.btn-main-outline {
  color: var(--primary-color);
  transition: 250ms ease-in-out;
  border: 2px solid currentColor;
}

.btn-main-outline:hover {
  color: #fff;
  background: var(--primary-color);
}

.btn-alt {
  background: var(--secondary-color);
  color: var(--bs-light);
  border-color: var(--secondary-color);
}

.btn-alt:hover {
  background: rgba(var(--secondary-color-rgb), 0.85);
  border-color: rgba(var(--secondary-color-rgb), 0.85);
}

/*  */

.btn-icon {
  display: inline-flex;
  align-items: center;
  background: var(--primary-color);
  padding: 8px 24px 8px 18px;
  color: var(--bs-light);
  border-radius: 50vw;
}

.btn-icon .right-icon {
  margin: -11px -20px -11px 15px;
}

.btn-icon .right-icon {
  height: 30px;
  min-width: 30px;
  background-color: #fff;
  border-radius: 50vw;
  color: var(--primary-color);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  transform: translateY(1px);
}

.btn-icon:hover .right-icon i {
  animation: toRightFromLeft 0.5s forwards;
  
}

@keyframes toRightFromLeft {
  49% {
    -webkit-transform: translateX(100%);
  }

  50% {
    opacity: 0;
    -webkit-transform: translateX(-100%);
  }

  51% {
    opacity: 1;
  }
}

@keyframes left-image-bounce {
  0% {
    transform: translateX(-5px);
  }

  50% {
    transform: translateX(10px);
  }

  100% {
    transform: translateX(-5px);
  }
}

@keyframes right-image-bounce {
  0% {
    transform: translateY(-5px);
  }

  50% {
    transform: translateY(10px);
  }

  100% {
    transform: translateY(-5px);
  }
}
#scrollToTop {
  display: none;
  position: fixed;
  bottom: 56px;
  right: 15px;
  height: 40px;
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 99;
  border: none;
  outline: none;
  background-color: rgba(var(--secondary-color-rgb), 0.5);
  color: white;
  cursor: pointer;
  border-radius: 50%;
  transition: 500ms ease-in-out 150ms;  
}

/* =====================
    SECTION: Custom
    ====================== */
body.tox-fullscreen :not([class*="tox"]) {
  position: static !important;
}
